Bug 16552 - Consider making needkey a simple event
Summary: Consider making needkey a simple event
Status: RESOLVED WONTFIX
Alias: None
Product: HTML WG
Classification: Unclassified
Component: Encrypted Media Extensions (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Target Milestone: ---
Assignee: Adrian Bateman [MSFT]
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on: 16548
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 00:54 UTC by David Dorwin
Modified: 2012-08-28 20:10 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Dorwin 2012-03-28 00:54:25 UTC
From v0.1:
It has been proposed that needkey be a simple event. In this case, it would not provide any indication of the key that is needed and the application would need to call generateKeyRequest() to get an appropriate message or identifier, including for the Clear Key case. Such a change assumes that the consistent flow option is selected. See this example for an illustration of the impact of this change.
(Because sessionId is not included in needkey and is not generated until generateKeyRequest() generates a keymessage event, this cange would not result in the loss of any correlation. See Session Correlation for a discussion of the general lack of correlation.)


See http://dvcs.w3.org/hg/html-media/raw-file/tip/encrypted-media/encrypted-media.html#issue-needkey-simple-event-example for the possible impact of this and other proposed changes.
Comment 1 David Dorwin 2012-05-25 22:31:14 UTC
We should prioritize resolving this since it affects the basic API.
Comment 3 Adrian Bateman [MSFT] 2012-08-28 19:45:52 UTC
The needkey event signals that a key is needed and that any initdata necessary is available. Since generateKeyRequest moved to createSession on the MediaKeys object there is no longer the opportunity for an out of band mechanism to provide this initData to the CDM. I propose that this bug be resolved WONTFIX since the O-O changes make it no longer an option.
Comment 4 David Dorwin 2012-08-28 20:10:28 UTC
Agreed.